Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.pk
Interface DefaultKeyStoreMBean

public interface DefaultKeyStoreMBean
extends weblogic.management.commo.StandardInterface, KeyStoreMBean

This MBean represents configuration attributes for the for the WebLogic Keystore provider. It was deprecated in WLS 8.1.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` Deprecated. WebLogic KeyStore provider that obtains secured private keys from KeyStores using the JavaSoft jks KeyStore provider type.
`java.lang.String` | `getPrivateKeyStoreLocation()` Deprecated. The location of a private Keystore.
`java.lang.String` | `getProviderClassName()` Deprecated. The name of the Java class that loads the WebLogic Keystore provider.
`java.lang.String` | `getRootCAKeyStoreLocation()` Deprecated. The location of a Root Certificate Authority Keystore.
`java.lang.String` | `getVersion()` Deprecated. The version of the WebLogic Keystore provider.
`void` | `setPrivateKeyStoreLocation(java.lang.String newValue)` Deprecated. The location of a private Keystore.
`void` | `setRootCAKeyStoreLocation(java.lang.String newValue)` Deprecated. The location of a Root Certificate Authority Keystore.

Methods inherited from interface weblogic.management.security.pk.KeyStoreMBean
`getPrivateKeyStorePassPhrase, getPrivateKeyStorePassPhraseEncrypted, getRootCAKeyStorePassPhrase, getRootCAKeyStorePassPhraseEncrypted, getType, setPrivateKeyStorePassPhrase, setPrivateKeyStorePassPhraseEncrypted, setRootCAKeyStorePassPhrase, setRootCAKeyStorePassPhraseEncrypted`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  Deprecated.
  The name of the Java class that loads the WebLogic Keystore provider.

  Default Value: "weblogic.security.providers.pk.DefaultKeyStoreProviderImpl"
  Legal NULL: false

### getDescription

    public java.lang.String getDescription()

  Deprecated.
  WebLogic KeyStore provider that obtains secured private keys from KeyStores using the JavaSoft jks KeyStore provider type.

  Default Value: "WebLogic KeyStore Security provider that obtains secured private keys from KeyStore."
  Legal NULL: false

### getVersion

    public java.lang.String getVersion()

  Deprecated.
  The version of the WebLogic Keystore provider.

  Default Value: "1.0"
  Legal NULL: false

### getPrivateKeyStoreLocation

    public java.lang.String getPrivateKeyStoreLocation()

  Deprecated.
  The location of a private Keystore. The default Keystore provider requires a directory and filename location that is either a complete filepath, or is relative to the server's root directory.
  Specified by:
    getPrivateKeyStoreLocation in interface KeyStoreMBean

  Default Value: "wlDefaultKeyStore.jks"
  Legal NULL: true

### setPrivateKeyStoreLocation

    public void setPrivateKeyStoreLocation(java.lang.String newValue)
                                    throws javax.management.InvalidAttributeValueException

  Deprecated.
  The location of a private Keystore. The default Keystore provider requires a directory and filename location that is either a complete filepath, or is relative to the server's root directory.
  Specified by:
    setPrivateKeyStoreLocation in interface KeyStoreMBean

  Default Value: "wlDefaultKeyStore.jks"
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute PrivateKeyStoreLocation
  Throws:
    javax.management.InvalidAttributeValueException -

### getRootCAKeyStoreLocation

    public java.lang.String getRootCAKeyStoreLocation()

  Deprecated.
  The location of a Root Certificate Authority Keystore.

  The default Keystore provider requires a directory and filename location that is either a complete filepath, or relative to the server's root directory.

  If you set a null value, WebLogic Server defaults to loading the trusted Certificate Authorities that are in the installed JDK cacerts Keystore, which is `JAVA_HOME/jre/lib/security/cacerts` and the trusted Certificate Authorities defined by the SSL MBean, if specified.

  Specified by:
    getRootCAKeyStoreLocation in interface KeyStoreMBean

  Legal NULL: true

### setRootCAKeyStoreLocation

    public void setRootCAKeyStoreLocation(java.lang.String newValue)
                                   throws javax.management.InvalidAttributeValueException

  Deprecated.
  The location of a Root Certificate Authority Keystore.

  The default Keystore provider requires a directory and filename location that is either a complete filepath, or relative to the server's root directory.

  If you set a null value, WebLogic Server defaults to loading the trusted Certificate Authorities that are in the installed JDK cacerts Keystore, which is `JAVA_HOME/jre/lib/security/cacerts` and the trusted Certificate Authorities defined by the SSL MBean, if specified.

  Specified by:
    setRootCAKeyStoreLocation in interface KeyStoreMBean

  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute RootCAKeyStoreLocation
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD